CollectionRank
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.selection.io
Class CollectionRank

    java.lang.Object
      org.gcube.dir.master.selection.io.CollectionRank

All Implemented Interfaces:
  java.lang.Comparable<CollectionRank>, ServiceOutputAdapter<ICollectionRank>

Direct Known Subclasses:
  ExtendedCollectionRank

    public class CollectionRank

extends java.lang.Object
implements java.lang.Comparable<CollectionRank>, ServiceOutputAdapter<ICollectionRank>

Represents the rank of a collection produced by some ranking algorithm.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`CollectionRank()` Creates an instance.
`CollectionRank(java.lang.String collectionID, float score)` Creates an instance from a collection identifier and a score.

Method Summary
`int` | `compareTo(CollectionRank entry)` Compares this rank with another, based on score.
`ICollectionRank` | `extern()` Returns the service output.
`java.lang.String` | `getCollectionID()` Returns the identifier of the ranked collection.
`float` | `getScore()` Returns the score of the ranked collection.
`void` | `setCollectionID(java.lang.String collectionID)` Sets the identifier of the ranked collection
`void` | `setScore(float score)` Sets the score of the ranked collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionRank

    public CollectionRank()

  Creates an instance.

### CollectionRank

    public CollectionRank(java.lang.String collectionID,
                          float score)

  Creates an instance from a collection identifier and a score.

  Parameters:
    `collectionID` - the identifier.
    `score` - the score.

Method Detail

### getCollectionID

    public java.lang.String getCollectionID()

  Returns the identifier of the ranked collection.

  Returns:
    the identifier.

### setCollectionID

    public void setCollectionID(java.lang.String collectionID)

  Sets the identifier of the ranked collection

  Parameters:
    `collectionID` - the identifier.

### getScore

    public float getScore()

  Returns the score of the ranked collection.

  Returns:
    the score.

### setScore

    public void setScore(float score)

  Sets the score of the ranked collection.

  Parameters:
    `score` - the score.

### compareTo

    public int compareTo(CollectionRank entry)

  Compares this rank with another, based on score.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CollectionRank>`

### extern

    public ICollectionRank extern()
                           throws java.lang.Exception

  Returns the service output.

  Specified by:
    `extern` in interface `ServiceOutputAdapter<ICollectionRank>`
  Returns:
    the output.
  Throws:
    `java.lang.Exception` - if this object could not be converted into a service output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD